Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class TranslateRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.TranslateRed

All Implemented Interfaces:
  RenderedImage, CachableRed

    public class TranslateRed

extends AbstractRed

This is a special case of an Affine that only contains integer translations, this allows it to do it's work by simply changing the coordinate system of the tiles.

Field Summary
`protected int` | `deltaX`
`protected int` | `deltaY`

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`TranslateRed(CachableRed cr, int xloc, int yloc)` Construct an instance of TranslateRed

Method Summary
`WritableRaster` | `copyData(WritableRaster wr)`
`Raster` | `getData()`
`Raster` | `getData(Rectangle rect)`
`int` | `getDeltaX()` The delata translation in x (absolute loc is available from getMinX())
`int` | `getDeltaY()` The delata translation in y (absolute loc is available from getMinY())
`Object` | `getProperty(String name)`
`String[]` | `getPropertyNames()`
`CachableRed` | `getSource()` fetch the source image for this node.
`Raster` | `getTile(int tileX, int tileY)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, copyToRaster, getBounds, getColorModel, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, init, init, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deltaX

    protected int deltaX

### deltaY

    protected int deltaY

Constructor Detail

### TranslateRed

    public TranslateRed(CachableRed cr,
                        int xloc,
                        int yloc)

  Construct an instance of TranslateRed

  Parameters:
    `xloc` - The new x coordinate of cr.getMinX().
    `yloc` - The new y coordinate of cr.getMinY().

Method Detail

### getDeltaX

    public int getDeltaX()

  The delata translation in x (absolute loc is available from getMinX())

### getDeltaY

    public int getDeltaY()

  The delata translation in y (absolute loc is available from getMinY())

### getSource

    public CachableRed getSource()

  fetch the source image for this node.

### getProperty

    public Object getProperty(String name)

  Specified by:
    `getProperty` in interface `RenderedImage`
  Overrides:
    `getProperty` in class `AbstractRed`

### getPropertyNames

    public String[] getPropertyNames()

  Specified by:
    `getPropertyNames` in interface `RenderedImage`
  Overrides:
    `getPropertyNames` in class `AbstractRed`

### getTile

    public Raster getTile(int tileX,
                          int tileY)

  Specified by:
    `getTile` in interface `RenderedImage`
  Overrides:
    `getTile` in class `AbstractRed`

### getData

    public Raster getData()

  Specified by:
    `getData` in interface `RenderedImage`
  Overrides:
    `getData` in class `AbstractRed`

### getData

    public Raster getData(Rectangle rect)

  Specified by:
    `getData` in interface `RenderedImage`
  Overrides:
    `getData` in class `AbstractRed`

### copyData

    public WritableRaster copyData(WritableRaster wr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.